VERSION_FILE="system_version"
VERSION_DIR="/customer/sos/config"
INSTATLL_DIR="/customer"
UPGRADE_LOG="${INSTATLL_DIR}/upgrade_sos.log"
TOOL_NAME="otaunpack"
UPGRADE_PACKAGE="SStarOta.bin.gz"
CURRENT_PATH=$(pwd)
SUCCESS_FLAG="@@@ upgrade success @@@"
OTA_LOG="/customer/sos/log/ota_upgrade.log"

echo `date +%Y-%m-%d` `date +%H:%M:%S` "start upgrade sos firmware! " > ${UPGRADE_LOG}

# 修改工具执行权限
chmod 777 ${TOOL_NAME}

# 执行系统升级任务
./otaunpack -x ${UPGRADE_PACKAGE} > ${OTA_LOG}

# 覆盖系统版本文件
cp ${VERSION_FILE} ${VERSION_DIR}

# 写入成功标志，用来判断升级过程有没有完成
echo ${SUCCESS_FLAG} >> ${UPGRADE_LOG}

